'==============================================================================
'
' Visual Basic Declares for PowerDLL Package
' Copyright (c) 1996,97 by PowerBASIC, Inc. All Rights Reserved.
'
'==============================================================================

' Array sorting routines
Declare Sub SortString Lib "VBARRAY.DLL" (x() As String)
Declare Sub SortInteger Lib "VBARRAY.DLL" (x() As Integer)
Declare Sub SortLong Lib "VBARRAY.DLL" (x() As Long)
Declare Sub SortSingle Lib "VBARRAY.DLL" (x() As Single)
Declare Sub SortCurrency Lib "VBARRAY.DLL" (x() As Currency)

' Array Sum routines
Declare Function SumInteger Lib "VBARRAY.DLL" (x() As Integer) As Single
Declare Function SumLong Lib "VBARRAY.DLL" (x() As Long) As Single
Declare Function SumSingle Lib "VBARRAY.DLL" (x() As Single) As Single

' Disk information routines
Declare Function DiskSerial Lib "VBDISK.DLL" (ByVal drive As Integer) As Long
Declare Function DosVersion Lib "VBDISK.DLL" () As Integer
Declare Function Exist Lib "VBDISK.DLL" (ByVal Filename As String) As Integer
Declare Function DiskFree Lib "VBDISK.DLL" (ByVal drive As Integer) As Long
Declare Function DiskSize Lib "VBDISK.DLL" (ByVal drive As Integer) As Long

' Memory and Hardare I/O routines
Declare Function Peek Lib "VBPEEK.DLL" (ByVal wSeg As Integer, ByVal wOffs As Integer) As Integer
Declare Function Inp Lib "VBPEEK.DLL" (ByVal Port As Integer) As Integer
Declare Sub Poke Lib "VBPEEK.DLL" (ByVal wSeg As Integer, ByVal wOffs As Integer, ByVal Value As Integer)
Declare Sub Out Lib "VBPEEK.DLL" (ByVal Port As Integer, ByVal Value As Integer)

'Conversion functions
Declare Function Factorial Lib "VBMATH.DLL" (ByVal Value AS Integer) As Integer
Declare Function FahrToCelsius Lib "VBMATH.DLL" (ByVal DegF AS Single) As Single
Declare Function CelsiusToFahr Lib "VBMATH.DLL" (ByVal DegC AS Single) As Single
Declare Function KilogramsToPounds Lib "VBMATH.DLL" (ByVal Kg AS Single) As Single
Declare Function PoundsToKilograms Lib "VBMATH.DLL" (ByVal Lbs AS Single) As Single
Declare Function CentToInch Lib "VBMATH.DLL" (ByVal Cent AS Single) As Single
Declare Function InchToCent Lib "VBMATH.DLL" (ByVal Inches AS Single) As Single
Declare Function MilesToKilometers Lib "VBMATH.DLL" (ByVal Miles AS Single) As Single
Declare Function KilometersToMiles Lib "VBMATH.DLL" (ByVal Miles AS Single) As Single
Declare Function DegreesToRadians Lib "VBMATH.DLL" (ByVal Degrees AS Single) As Single
Declare Function RadiansToDegrees Lib "VBMATH.DLL" (ByVal Radians AS Single) As Single
Declare Function GallonsToLiters Lib "VBMATH.DLL" (ByVal Gallons AS Single) As Single
Declare Function LitersToGallons Lib "VBMATH.DLL" (ByVal Liters AS Single) As Single

' Transcendental functions
Declare Function ArcCos Lib "VBMATH.DLL" (ByVal Value AS Single) As Single
Declare Function ArcCosH Lib "VBMATH.DLL" (ByVal Value AS Single) As Single
Declare Function ArcCosec Lib "VBMATH.DLL" (ByVal Value AS Single) As Single
Declare Function ArcCosecH Lib "VBMATH.DLL" (ByVal Value AS Single) As Single
Declare Function ArcCotanH Lib "VBMATH.DLL" (ByVal Value AS Single) As Single
Declare Function ArcSec Lib "VBMATH.DLL" (ByVal Value AS Single) As Single
Declare Function ArcSecH Lib "VBMATH.DLL" (ByVal Value AS Single) As Single
Declare Function ArcSin Lib "VBMATH.DLL" (ByVal Value AS Single) As Single
Declare Function ArcSinH Lib "VBMATH.DLL" (ByVal Value AS Single) As Single
Declare Function ArcTanH Lib "VBMATH.DLL" (ByVal Value AS Single) As Single
Declare Function CosH Lib "VBMATH.DLL" (ByVal Value AS Single) As Single
Declare Function Cosec Lib "VBMATH.DLL" (ByVal Value AS Single) As Single
Declare Function CosecH Lib "VBMATH.DLL" (ByVal Value AS Single) As Single
Declare Function CotanH Lib "VBMATH.DLL" (ByVal Value AS Single) As Single
Declare Function Cotangent Lib "VBMATH.DLL" (ByVal Value AS Single) As Single
Declare Function LogN Lib "VBMATH.DLL" (ByVal Value AS Single, ByVal N AS Single) As Single
Declare Function Sec Lib "VBMATH.DLL" (ByVal Value AS Single) As Single
Declare Function SecH Lib "VBMATH.DLL" (ByVal Value AS Single) As Single
Declare Function SinH Lib "VBMATH.DLL" (ByVal Value AS Single) As Single
Declare Function TanH Lib "VBMATH.DLL" (ByVal Value AS Single) As Single
